=== sdf/CMakeLists.txt ===
add_subdirectory(worlds)
add_subdirectory(models)
