=== debian/changelog ===
gazebo (1.2.0-0ubuntu1) precise; urgency=high

  * First 1.2.0 release from default, @ aa88215578c0

 -- Brian Gerkey <gerkey@osrfoundation.org>  Mon, 15 Oct 2012 14:30:00 -0700
