=== debian/control ===
Source: gazebo
Standards-Version: 3.9.3
Maintainer: Brian Gerkey <gerkey@osrfoundation.org>
Section: devel
Priority: extra
Build-Depends: cmake, debhelper (>= 7.0.50~), libfreeimage-dev, libprotoc-dev, libprotobuf-dev, protobuf-compiler, freeglut3-dev, libcurl4-openssl-dev, libtinyxml-dev, libtar-dev, libtbb-dev, ros-fuerte-visualization-common, libxml2-dev, pkg-config, libqt4-dev, ros-fuerte-urdfdom, libltdl-dev, libboost-thread-dev, libboost-signals-dev, libboost-system-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libboost-iostreams-dev
Homepage: http://gazebosim.org

Package: gazebo
Architecture: amd64
Section: devel
Priority: extra
Depends: libfreeimage3, libprotoc7, libprotobuf-dev, freeglut3, libcurl4-openssl-dev, libtinyxml2.6.2, libtar0, libtbb2, ros-fuerte-visualization-common, libxml2, pkg-config, libqtcore4, libqtgui4, ros-fuerte-urdfdom, libltdl7, libboost-thread1.46.1, libboost-signals1.46.1, libboost-system1.46.1, libboost-filesystem1.46.1, libboost-program-options1.46.1, libboost-regex1.46.1, libboost-iostreams1.46.1, ${misc:Depends}
Description: 3D dynamics simulator for robotics
 Open source robot simulator designed to accurately simulate robots and worlds.
Homepage: http://gazebosim.org
